Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.enterprise.servlet
Class GetMapFilter

    java.lang.Object
      org.deegree.enterprise.servlet.GetMapFilter

All Implemented Interfaces:
  javax.servlet.Filter

    public class GetMapFilter

extends Object
implements javax.servlet.Filter

`GetMapFilter` Init parameters:

- prefix - default is app
- namespace - default is http://www.deegree.org/app
- typeName - no default
- geometryProperty - default is app:geometry
- propertyName - no default
- excludedLayers - default is empty list (no excluded layers)
- coverStyle - default is not to request cover layers
- coverColor - default is #ffffff
- onlyForSLDRequests - the cover-layer mechanism is only used for SLD requests

It is assumed that the WMS and its local WFS are configured in the same context as the filter. Take note that if you choose a property which occurs with null values, these features will be SKIPPED and NOT PAINTED, you will MISS THEM.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Schmitz, last edited by: $Author: mschneider $

Nested Class Summary
`static class` | `GetMapFilter.DummyRequest` `DummyRequest`

Constructor Summary
`GetMapFilter()`

Method Summary
`void` | `destroy()`
`void` | `doFilter(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, javax.servlet.FilterChain chain)`
`void` | `init(javax.servlet.FilterConfig config)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetMapFilter

    public GetMapFilter()

Method Detail

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `javax.servlet.Filter`

### doFilter

    public void doFilter(javax.servlet.ServletRequest request,
                         javax.servlet.ServletResponse response,
                         javax.servlet.FilterChain chain)
                  throws IOException,
                         javax.servlet.ServletException

  Specified by:
    `doFilter` in interface `javax.servlet.Filter`
  Throws:
    `IOException`
    `javax.servlet.ServletException`

### init

    public void init(javax.servlet.FilterConfig config)
              throws javax.servlet.ServletException

  Specified by:
    `init` in interface `javax.servlet.Filter`
  Throws:
    `javax.servlet.ServletException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org